datalist {
  display: inline-block;
}

.nav-accordeon-list.color-white {
  input[type='color'],
  input[type='date'],
  input[type='datetime'],
  input[type='datetime-local'],
  input[type='email'],
  input[type='month'],
  input[type='number'],
  input[type='password'],
  input[type='search'],
  input[type='tel'],
  input[type='text'],
  input[type='time'],
  input[type='url'],
  input[type='week'],
  textarea {
    background: $white;
  }

  label {
    color: $white;
  }
}

input[type='radio'],
input[type='checkbox'] {
  margin-right: 10px;
}

select {
  width: 100%;
}

#forms {
  fieldset {
    margin-top: 0;
  }
}

option,
select {
  @include fontapercu;
}

.newsletter {
  .h3,
  h3 {
    margin-bottom: $gutter-sm;
  }

  form {
    margin-top: $gutter-l;
  }
}

.inputform {
  &[class*='grid'] {
    @media #{$gl-sm} {
      margin: 0;
    }
  }

  & > [class*='col'] {
    padding: 0;
  }

  form {
    fieldset {
      border: 0;
      padding: $gutter-xl 0;
      @media #{$gl-xs} {
        padding: 2.175rem 0 $gutter-s;
      }

      ul {
        li {
          padding-bottom: $gutter-sm;

          &[class*='col'] {
            padding: 0;
          }

          &:last-child {
            margin-bottom: 0;
          }
        }
      }

      label {
        padding: 0 0 $gutter-s;
      }

      input,
      textarea {
        margin: 0;
      }

      p {
        padding-bottom: 0;
        @media #{$gl-xs} {
          margin-top: $gutter-sm;
        }
      }

      .form-ctrl {
        margin-top: $gutter-s;

        button {
          & + a {
            margin-left: $gutter-sm;
          }
        }
      }
    }
  }

  &.search-form {
    form {
      fieldset {
        button {
          &,
          &[class*='col'] {
            font-size: $fontsize-m-link;
            height: $gutter-xl;

            &.postfix,
            &.prefix {
              max-width: $gutter-xl;
            }
          }
          @media #{$gl-xs} {
            margin-left: 0;
          }
        }

        p {
          @media #{$gl-xs} {
            margin-bottom: $gutter-s;
            padding-left: $gutter-s;
          }
        }
      }
    }
  }

  &.login-form {
    form {
      fieldset {
        @media #{$gl-xs} {
          padding-bottom: $gutter-l;
        }

        ul {
          li {
            margin-bottom: $gutter-sm;

            &:last-child {
              margin-bottom: 0;
            }
          }
        }
      }
    }
  }

  &.registration-form {
    form {
      fieldset {
        ul {
          li {
            margin-bottom: $gutter-l;
          }
        }
      }
    }
  }
}

.input-reset-style {
  display: inline-block;
  background: transparent;
  padding: 0;
  margin: 0;

  &:focus {
    box-shadow: none;
    border-color: transparent;
    outline: none;
  }
}